Imagick::averageImages
Imagick::blurImage
Imagick
PHP Manual

# Imagick::blackThresholdImage

Forces all pixels below the threshold into black

### Description

bool Imagick::blackThresholdImage ( mixed `$threshold` )

Is like Imagick::thresholdImage() but forces all pixels below the threshold into black while leaving all pixels above the threshold unchanged.

### Parameters

`threshold`

  The threshold below which everything turns black

### Return Values

Returns `TRUE` on success.

### Changelog

Version | Description
--- | ---
2.1.0 | Now allows a string representing the color as a parameter. Previous versions allow only an ImagickPixel object.